/*
 * Copyright (c) 2018-2999 广州亚米信息科技有限公司 All rights reserved.
 *
 * https://www.gz-yami.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.yami.shop.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yami.shop.bean.model.OrderItem;
import com.yami.shop.dao.OrderItemMapper;
import com.yami.shop.service.OrderItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *
 * @author lgh on 2018/09/15.
 */
@Service
public class OrderItemServiceImpl extends ServiceImpl<OrderItemMapper, OrderItem> implements OrderItemService {

    @Autowired
    private OrderItemMapper orderItemMapper;

	@Override
	public List<OrderItem> getOrderItemsByOrderNumber(String orderNumber) {
		return orderItemMapper.listByOrderNumber(orderNumber);
	}

    @Override
    public List<OrderItem> getRefundTypeByOrderItem2(Long refundId) {
        return orderItemMapper.getRefundTypeByOrderItem2(refundId);
    }

    @Override
    public Integer refundIngCount(Long orderItemId) {
        return orderItemMapper.refundIngCount(orderItemId);
    }

    @Override
    public Integer refundSuccessCount(Long orderItemId) {
        return orderItemMapper.refundSuccessCount(orderItemId);
    }

    @Override
    public Integer refundCount(Long orderItemId) {
        return orderItemMapper.refundCount(orderItemId);
    }


//    @Override
//    public List<OrderItem> getUnCloseRefundOrderItemByOrderNumber(String orderNumber) {
//	    return orderItemMapper.getUnCloseRefundOrderItemByOrderNumber(orderNumber);
//    }

}
